summaryrefslogtreecommitdiffstats
path: root/libraries/libzmf
diff options
context:
space:
mode:
author Hunter Sezen <ovariegata@yahoo.com>2017-08-16 21:10:52 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-19 07:10:41 +0700
commit6ea36bc050fb92c29645537c36adf5bbfb002dfd (patch)
tree0eef5095e0e037c19339d3de12efcc5caeb37c50 /libraries/libzmf
parent31e6ce00bd9b38b05c9b97a8a81f8e985a9bf059 (diff)
downloadslackbuilds-6ea36bc050fb92c29645537c36adf5bbfb002dfd.tar.gz
slackbuilds-6ea36bc050fb92c29645537c36adf5bbfb002dfd.tar.xz
libraries/libzmf: Added (Zoner Callisto/Draw documents parser lib).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'libraries/libzmf')
-rw-r--r--libraries/libzmf/README7
-rw-r--r--libraries/libzmf/configure.patch.gzbin0 -> 508 bytes
-rw-r--r--libraries/libzmf/libzmf.SlackBuild112
-rw-r--r--libraries/libzmf/libzmf.info10
-rw-r--r--libraries/libzmf/slack-desc19
5 files changed, 148 insertions, 0 deletions
diff --git a/libraries/libzmf/README b/libraries/libzmf/README
new file mode 100644
index 0000000000..f4b87d37b6
--- /dev/null
+++ b/libraries/libzmf/README
@@ -0,0 +1,7 @@
+libzmf is a library and a set of tools for reading and converting
+Zoner Draw and Zebra file formats.
+
+cppunit is an optional dependency to build and run the unit tests.
+
+To build the documentation use:
+ DOC="yes"
diff --git a/libraries/libzmf/configure.patch.gz b/libraries/libzmf/configure.patch.gz
new file mode 100644
index 0000000000..71edfe7056
--- /dev/null
+++ b/libraries/libzmf/configure.patch.gz
Binary files differ
diff --git a/libraries/libzmf/libzmf.SlackBuild b/libraries/libzmf/libzmf.SlackBuild
new file mode 100644
index 0000000000..9e85a04e31
--- /dev/null
+++ b/libraries/libzmf/libzmf.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for libzmf
+
+# Copyright 2017 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libzmf
+VERSION=${VERSION:-0.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+case "${DOC:-no}" in
+ yes) doc='--with-docs' ;;
+ *) doc='--without-docs' ;;
+esac
+
+if pkg-config --exists cppunit; then
+ cppunit='--enable-tests'
+else
+ cppunit='--disable-tests'
+fi
+
+# Fix build with slibtool
+# -no-undefines should be -no-undefined
+zcat $CWD/configure.patch.gz | patch -p1
+autoreconf -fi
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-werror \
+ --build=$ARCH-slackware-linux \
+ $cppunit $doc
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libzmf/libzmf.info b/libraries/libzmf/libzmf.info
new file mode 100644
index 0000000000..d082d84e62
--- /dev/null
+++ b/libraries/libzmf/libzmf.info
@@ -0,0 +1,10 @@
+PRGNAM="libzmf"
+VERSION="0.0.1"
+HOMEPAGE="https://wiki.documentfoundation.org/DLP/Libraries/libzmf"
+DOWNLOAD="http://dev-www.libreoffice.org/src/libzmf/libzmf-0.0.1.tar.xz"
+MD5SUM="5a002c50af653b67b3c2aedd979a2972"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com"
diff --git a/libraries/libzmf/slack-desc b/libraries/libzmf/slack-desc
new file mode 100644
index 0000000000..636d85c428
--- /dev/null
+++ b/libraries/libzmf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libzmf: libzmf (Zoner Callisto/Draw documents parser library)
+libzmf:
+libzmf: libzmf is a library and a set of tools for reading and converting
+libzmf: Zoner Draw and Zebra file formats.
+libzmf:
+libzmf: Homepage: https://wiki.documentfoundation.org/DLP/Libraries/libzmf
+libzmf:
+libzmf:
+libzmf:
+libzmf:
+libzmf: